Get Product Sort Order
Returns a list of products and their sort order for a specific category.
Limits
- page=2&limit=250 will return page 2 of the results with 250 items per page.
Usage Notes
- Product sort order only takes effect on the storefront when sorting by Featured Items in the category. See Sort Order for more information.
- Data pairs are displayed in ascending order based on products’
sort_ordervalues. nullvalues are allowed for products without specifiedsort_ordervalues.- Products with
sort_ordervalue ofnullwill be displayed after products with valid numerical values. - The priorities for determining product sort order on a storefront are the following:
- Priority 1: Manually specified sort order on Category Level (API).
- Priority 2: Manually specified sort order on Product (Global) Level (UI/API).
- Priority 3: Default sorting by Product ID (newly added products go first) (UI/API).
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
category_id
The ID of the Category to which the resource belongs.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Query parameters
page
Specifies the page number in a limited (paginated) list of results.
Response
OK
data
meta
Data about the response, including pagination and collection totals.
Errors
403
Forbidden Error
404
Not Found Error